> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifications.updated webhook

> The `verifications.updated` webhook is sent each time a verification's state transitions to `PROCESSING`, `PAUSED`, or `COMPLETED`.


Sent when a verification has been updated.


## OpenAPI

````yaml openAPI/verifications-webhooks-updated.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Verifications Webhooks API
  version: '2.0'
  description: |
    API for managing Verifications Webhooks.
    Sent when a verification has been updated.
servers:
  - url: https://api-sandbox.argyle.com
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `verifications.updated` webhook is sent each time a verification's
        state transitions to `PROCESSING`, `PAUSED`, or `COMPLETED`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscriptionRequest'
            example:
              events:
                - verifications.updated
              name: name-for-the-webhook-subscription
              url: https://webhooks.example.com/argyle/verifications-updated
              secret: secret-value
              config:
                include_resource: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookMessage'
              examples:
                verifications_updated:
                  summary: Example Webhook Update
                  value:
                    event: verifications.updated
                    name: name-for-the-webhook-subscription
                    data:
                      user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                      verification: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
                      resource:
                        id: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
                        user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                        created_at: '2023-03-09T16:22:06.081Z'
                        updated_at: '2023-03-09T16:22:06.081Z'
                        channel: api
                        status:
                          state: COMPLETED
                          code: completed
                          errors: []
                        report:
                          id: 2a14ce6f-3aed-4c15-8ea2-92a17b6edb95
                          type: doc-voi-mortgage
                          file_url: www.argyle.com/storagename/pdf
                          json_url: www.argyle.com/storagename/json
                        employments:
                          - employer: Starbucks
                            status: active
                            hire_date: '2015-08-28'
                            termination_date: null
                        loan:
                          number: '1234'
                          borrower_id: ABC789
                          application_id: '2121313'
                          officer_email: john.doe@mortgage.com
                        billing:
                          cost_center: '5'
                        data_source: documents
components:
  schemas:
    WebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          description: |
            `verifications.updated`
          items:
            type: string
            enum:
              - verifications.updated
            example: verifications.updated
        name:
          type: string
          example: name-for-the-webhook-subscription
          description: Your name for the webhook subscription.
        url:
          type: string
          example: https://webhooks.example.com/argyle/verifications-updated
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          example: secret-value
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
        config:
          type: object
          example:
            include_resource: true
          description: >
            `"include_resource": true` will return the verification object in
            the response within a `resource` object.
      required:
        - events
        - name
        - url
    WebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: |
            `verifications.updated`
        name:
          type: string
          description: Name used for the webhook subscription.
        data:
          type: object
          properties:
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            verification:
              type: string
              format: uuid
              description: ID of the verification.
              example: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
            resource:
              type: object
              description: The verification object.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````